## virt-firmware 24.1.1

=== debian/changelog ===
virt-firmware (24.1.1-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Fix autodep8 autopkgtest (Closes: #1066039)

 -- dann frazier <dannf@debian.org>  Mon, 11 Mar 2024 08:24:54 -0600

virt-firmware (24.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- dann frazier <dannf@debian.org>  Thu, 15 Feb 2024 08:16:12 -0700

virt-firmware (23.11-1) unstable; urgency=medium

  * Initial release. (Closes: #1055987)

 -- dann frazier <dannf@debian.org>  Sun, 17 Dec 2023 12:29:34 -0700

=== debian/watch ===
version=4

# GitLab hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://gitlab.com/kraxel/virt-firmware/-/tags \
    archive/v?@ANY_VERSION@/virt-firmware-v?\d\S*@ARCHIVE_EXT@

## virt-firmware 24.2

=== Makefile ===

PYLINT_OPTS	:=
PYLINT_OPTS	+= --py-version 3.6	# matches setup.py declaration
PYLINT_OPTS	+= -d invalid-name	# using efi-style names in some places
PYLINT_OPTS	+= -d unused-variable	# happens often when unpacking structss
PYLINT_OPTS	+= -d too-many-locals	# happens when unpacking structss
PYLINT_OPTS	+= -d R0801		# duplicate-code (simliar cmd line opts)
PYLINT_OPTS	+= -d deprecated-module			# TODO
PYLINT_OPTS	+= -d missing-function-docstring	# TODO
PYLINT_OPTS	+= --extension-pkg-allow-list=crc32c

PKG_VERSION	:= $(shell awk '/version/ { print $$3 }' setup.cfg)
PKG_TARBALL	:= dist/virt-firmware-$(PKG_VERSION).tar.gz

MANPAGES	:= man/virt-fw-dump.1
MANPAGES	+= man/virt-fw-vars.1
MANPAGES	+= man/virt-fw-sigdb.1
MANPAGES	+= man/kernel-bootcfg.1
MANPAGES	+= man/uefi-boot-menu.1
MANPAGES	+= man/pe-inspect.1

default:
	@echo "targets: lint install uninstall clean"

lint pylint:
	pylint $(PYLINT_OPTS) virt/firmware virt/peutils experimental

.PHONY: dist
dist tarball $(PKG_TARBALL):
	rm -rf dist
	python3 -m build
	twine check dist/*

rpm rpms package: $(PKG_TARBALL)
	rm -rf rpms
	mkdir -p rpms/src
	pyp2rpm -d rpms/src --srpm $(PKG_TARBALL)
	rpmbuild --rebuild \
		--define "_rpmdir rpms" \
		--define "_srcrpmdir rpms/src" \
		rpms/src/*.src.rpm
	createrepo rpms


man manpages: $(MANPAGES)

man/%.1:
	help2man --version-string $(PKG_VERSION) --no-info --include man/$*.inc $* > $@

man/virt-fw-dump.1:  setup.cfg virt/firmware/dump.py man/virt-fw-dump.inc
man/virt-fw-vars.1:  setup.cfg virt/firmware/vars.py man/virt-fw-vars.inc
man/virt-fw-sigdb.1: setup.cfg virt/firmware/sigdb.py man/virt-fw-sigdb.inc
man/kernel-bootcfg.1: setup.cfg virt/firmware/sigdb.py man/kernel-bootcfg.inc
man/uefi-boot-menu.1: setup.cfg virt/firmware/sigdb.py man/uefi-boot-menu.inc
man/pe-inspect.1: setup.cfg virt/peutils/peutils.py man/pe-inspect.inc


install:
	python3 -m pip install --user .

uninstall:
	python3 -m pip uninstall virt-firmware

test check: test-dump test-vars test-sigdb test-pe test-bootcfg test-unittest

test-dump:
	tests/test-dump.sh

test-vars:
	tests/test-vars.sh

test-pe:
	tests/test-pe.sh

test-bootcfg:
	tests/test-bootcfg.sh

test-sigdb:
	tests/test-sigdb.sh

test-unittest:
	python3 tests/tests.py

clean:
	rm -rf build virt_firmware.egg-info $(PKG_TARBALL) rpms dist
	rm -rf *~ virt/firmware/*~ virt/firmware/efi/*~
	rm -rf *~ virt/firmware/__pycache__ virt/firmware/efi/__pycache__

=== debian/changelog ===
virt-firmware (24.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 28 Apr 2024 17:03:54 +0100

virt-firmware (24.2-1) unstable; urgency=medium

  * New upstream release.

 -- dann frazier <dannf@debian.org>  Sun, 24 Mar 2024 10:05:07 -0600

=== debian/watch ===
version=4

https://gitlab.com/kraxel/virt-firmware/tags?sort=updated_desc archive/v?\d[\d.]+/virt-firmware-v?([\d.]+)@ARCHIVE_EXT@

## virt-firmware 24.7

=== debian/changelog ===
virt-firmware (24.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update matching scheme - previous version wasn't
    working.
  * d/p/pkg_resources-is-deprecated.patch: Replace deprecated
    pkg_resources usage with importlib equivalents (Closes: #1083984)
  * d/p/disable-setuptools.patch: Disable setuptools to avoid introducing
    a dependency on pkg_resources.

 -- dann frazier <dannf@debian.org>  Sat, 26 Oct 2024 16:17:31 -0700

## virt-firmware 24.11

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 PYLINT_OPTS	+= --extension-pkg-allow-list=crc32c
 
 PKG_VERSION	:= $(shell awk '/version/ { print $$3 }' setup.cfg)
-PKG_TARBALL	:= dist/virt-firmware-$(PKG_VERSION).tar.gz
+PKG_TARBALL	:= dist/virt_firmware-$(PKG_VERSION).tar.gz
 
 MANPAGES	:= man/virt-fw-dump.1
 MANPAGES	+= man/virt-fw-vars.1

=== debian/changelog ===
virt-firmware (24.11-2) unstable; urgency=medium

  * d/p/pkg_resources-is-deprecated.patch: Add missing dependency
    on importlib_resources. Thanks to Hristo Venev. Closes: #1092149.
  * d/p/disable-setuptools.patch: Refresh.
  * d/tests: Add a superficial test that runs each command with --help.

 -- dann frazier <dannf@debian.org>  Thu, 16 Jan 2025 20:49:35 -0700

virt-firmware (24.11-1) unstable; urgency=medium

  * New upstream release.

 -- dann frazier <dannf@debian.org>  Tue, 17 Dec 2024 07:07:21 -0700

=== debian/control ===
Source: virt-firmware
Section: python
Priority: optional
Maintainer: dann frazier <dannf@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Testsuite: autopkgtest, autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://gitlab.com/kraxel/virt-firmware
Vcs-Browser: https://salsa.debian.org/dannf/virt-firmware
Vcs-Git: https://salsa.debian.org/dannf/virt-firmware.git

Package: python3-virt-firmware
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Tools for manipulating edk2 (ovmf/qemu-efi) firmware images
 This is a collection of tools for edk2 firmware images. They support
 decoding and printing the content of firmware volumes. Variable stores
 (e.g. OVMF_VARS.fd) can be modified, for example to enroll secure boot
 certificates. Tools included:
 .
 virt-fw-dump - Decodes and prints the content of firmware volumes.
 .
 virt-fw-vars - Print and edit variable store volumes. Currently focused on
                enrolling certificates and enabling secure boot.
 .
 virt-fw-sigdb - Print and edit EFI signature database files.
 .
 host-efi-vars - Read efi variables from linux efivarfs and decode/print them.
 .
 kernel-bootcfg - Manage efi boot configuration for UKIs (unified kernel
                  images) when using direct boot (without boot loader like
                  grub or systemd-boot).
 .
 pe-dumpinfo - Information dump for pe (the format used by EFI) binaries.
 .
 pe-listsigs - List signatures and certificate chain for pe binaries. Can also
               extract certificates & signatures.
 .
 This package installs the library for Python 3.

## virt-firmware 25.4.1

=== debian/changelog ===
virt-firmware (25.4.1-1) unstable; urgency=medium

  * New upstream release:
    - Drop patches that are no longer needed (Closes: #1105095):
      + d/p/disable-setuptools.patch
      + d/p/pkg_resources-is-deprecated.patch
  * d/control: Remove unnecessary `Testsuite: autopkgtest` field.
    Thanks lintian.

 -- dann frazier <dannf@debian.org>  Sun, 11 May 2025 14:28:02 -0600

## virt-firmware 25.7.3

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 PYLINT_OPTS	:=
 PYLINT_OPTS	+= --py-version 3.6	# matches setup.py declaration
 PYLINT_OPTS	+= -d invalid-name	# using efi-style names in some places
-PYLINT_OPTS	+= -d unused-variable	# happens often when unpacking structss
-PYLINT_OPTS	+= -d too-many-locals	# happens when unpacking structss
+PYLINT_OPTS	+= -d unused-variable	# happens often when unpacking structs
+PYLINT_OPTS	+= -d too-many-locals	# happens when unpacking structs
 PYLINT_OPTS	+= -d R0801		# duplicate-code (simliar cmd line opts)
 PYLINT_OPTS	+= -d deprecated-module			# TODO
 PYLINT_OPTS	+= -d missing-function-docstring	# TODO
@@ -40,6 +40,15 @@
 		--define "_srcrpmdir rpms/src" \
 		rpms/src/*.src.rpm
 	createrepo rpms
+
+
+.PHONY: push
+push:
+	make pylint
+	make check
+	git push
+	sleep 3		# let gitlab create ci jobs
+	gitlab-ci	# monitor gitlab ci
 
 
 man manpages: $(MANPAGES)
@@ -83,5 +92,5 @@
 
 clean:
 	rm -rf build virt_firmware.egg-info $(PKG_TARBALL) rpms dist
-	rm -rf *~ virt/firmware/*~ virt/firmware/efi/*~
+	rm -rf *~ virt/firmware/*~ virt/firmware/*/*~ experimental/*~
 	rm -rf *~ virt/firmware/__pycache__ virt/firmware/efi/__pycache__

=== debian/changelog ===
virt-firmware (25.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- dann frazier <dannf@debian.org>  Mon, 18 Aug 2025 21:32:51 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-sequence-python3,
  python3-setuptools,
  python3-all,
-Testsuite: autopkgtest, autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.2
 Homepage: https://gitlab.com/kraxel/virt-firmware
 Vcs-Browser: https://salsa.debian.org/dannf/virt-firmware

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=virt-firmware

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: smoke-cmd--help
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4

opts="downloadurlmangle=s/\/tags\/(@ANY_VERSION@)/\/archive\/$1\/@PACKAGE@-$1\.tar\.gz/, filenamemangle=s/(@ANY_VERSION@)/@PACKAGE@-$1\.tar.gz/, searchmode=plain" \
https://gitlab.com/kraxel/@PACKAGE@/-/tags?sort=updated_desc&format=atom \
tags/@ANY_VERSION@

## virt-firmware 25.10

=== debian/changelog ===
virt-firmware (25.10-3) unstable; urgency=medium

  * Fix `uki-addons --help` when the bootctl command is not available:
    - d/p/uki-addons-fix-help.patch
  * Suggest systemd-boot-tools, which will allow uki-addons to find
    the ESP on Debian systems.

 -- dann frazier <dannf@debian.org>  Thu, 11 Dec 2025 11:04:39 -0700

virt-firmware (25.10-2) unstable; urgency=medium

  * Use correct endianness when reading varstore images. Thanks
    to Michael Tokarev. Closes: #1121761.

 -- dann frazier <dannf@debian.org>  Tue, 02 Dec 2025 18:20:50 -0700

virt-firmware (25.10-1) unstable; urgency=medium

  * New upstream release.

 -- dann frazier <dannf@debian.org>  Sun, 30 Nov 2025 13:04:49 -0700

## virt-firmware 25.12

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,13 @@
 	tests/test-sigdb.sh
 
 test-unittest:
-	python3 tests/tests.py
+	python3 tests/tests.py --verbose
+
+tmt-local:
+	cd tests; tmt --feeling-safe run --verbose
+
+tmt-container:
+	cd tests; tmt run --all provision --how container --verbose
 
 clean:
 	rm -rf build virt_firmware.egg-info $(PKG_TARBALL) rpms dist

=== debian/changelog ===
virt-firmware (25.12-1) unstable; urgency=medium

  * New upstream release.
    - Drop d/p/varstore-endianness.patch, merged upstream.

 -- dann frazier <dannf@debian.org>  Sat, 13 Dec 2025 09:15:04 -0700

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+Suggests:
+ systemd-boot-tools,
 Description: Tools for manipulating edk2 (ovmf/qemu-efi) firmware images
  This is a collection of tools for edk2 firmware images. They support
  decoding and printing the content of firmware volumes. Variable stores
